Have AppIndicator support plugin by default

Bug #1477216 reported by Wise Melon on 2015-07-22
32
This bug affects 7 people
Affects Status Importance Assigned to Milestone
GNOME Shell
Invalid
Medium
gnome-shell (Ubuntu)
Wishlist
Unassigned

Bug Description

I recently changed from the Unity to Gnome Shell, and I have noticed that unlike in Unity, to enable support for AppIndicator icons in Gnome Shell you have to install this plugin: https://extensions.gnome.org/extension/615/appindicator-support/

But as support for AppIndicator is such an important feature in my opinion I think that this plugin should be installed by default and not have to be added by the user.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gnome-shell (Ubuntu):
status: New → Confirmed
Tim Lunn (darkxst) on 2015-12-06
Changed in gnome-shell (Ubuntu):
importance: Undecided → Wishlist
Tim Lunn (darkxst) wrote :

We have generally avoided installing gnome-shell extensions by default, with the exception of the official upstream ones [1]. Extensions are problematic due to their lack of consistent maintenance, while a few are well maintained, some take a long time to get updated to new shell versions, and others just get abandoned. If the latter happens and we have them installed by default we are pretty much stuck maintaining them ourselves.

[1] https://git.gnome.org/browse/gnome-shell-extensions

Changed in gnome-shell:
importance: Unknown → Medium
status: Unknown → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.